GUARANA_VERSION = 1.0
KAFFE_VERSION = 0.9.2

KAFFE_TGZDIR = .
KAFFE_DIR = kaffe-$(KAFFE_VERSION)
KAFFE_TGZ = $(KAFFE_TGZDIR)/$(KAFFE_DIR).tgz $(KAFFE_TGZDIR)/$(KAFFE_DIR)-package-javasoft.com.tgz
PATCH_FILE = kaffe-$(KAFFE_VERSION).patch

GUARANA_DIR = guarana-$(GUARANA_VERSION)
DIST_TAR_FILE = $(GUARANA_DIR).tar.gz

all: decompress-stmp patch-stmp

decompress-stmp: $(KAFFE_TGZ)
	for f in $(KAFFE_TGZ); do gzip -dc $$f | tar -xf -; done
	echo decompressed >$@

patch-stmp: $(PATCH_FILE)
	(cd $(KAFFE_DIR) && patch -p1) < $(PATCH_FILE)
	mv guarana.unicamp.br $(KAFFE_DIR)/packages
	ln -s $(KAFFE_DIR)/packages/guarana.unicamp.br .
	echo patched > $@

.PHONY: clean
clean:
	if [ -f $(KAFFE_DIR)/Makefile ]; then \
	    cd $(KAFFE_DIR) && make clean; \
	fi
	-rm -f patch-stmp decompress-stmp guarana.unicamp.br
	-mv $(KAFFE_DIR)/packages/guarana.unicamp.br .
	rm -rf $(KAFFE_DIR)

dist: $(DIST_TAR_FILE)

$(DIST_TAR_FILE):
	cvs -q export -r guarana`echo $(GUARANA_VERSION) | sed 's/\.//g'` -d $(GUARANA_DIR) guarana
	cvs -q rdiff -u -r kaffe`echo $(KAFFE_VERSION) | sed 's/\.//g'` -r guarana`echo $(GUARANA_VERSION) | sed 's/\.//g'` kaffe > $(GUARANA_DIR)/$(PATCH_FILE)
	tar -cf - $(GUARANA_DIR) | gzip -9c > $@
	rm -rf $(GUARANA_DIR)
